std::literals Namespace Reference

## Namespaces

namespace | chrono_literals

## Functions

template<char... _Digits>
constexpr chrono::hours | operator""h ()
constexpr chrono::duration< long double, ratio< 3600, 1 > > | operator""h (long double __hours)
constexpr std::complex< double > | operator""i (long double __num)
constexpr std::complex< double > | operator""i (unsigned long long __num)
constexpr std::complex< float > | operator""if (long double __num)
constexpr std::complex< float > | operator""if (unsigned long long __num)
constexpr std::complex< long double > | operator""il (long double __num)
constexpr std::complex< long double > | operator""il (unsigned long long __num)
template<char... _Digits>
constexpr chrono::minutes | operator""min ()
constexpr chrono::duration< long double, ratio< 60, 1 > > | operator""min (long double __mins)
template<char... _Digits>
constexpr chrono::milliseconds | operator""ms ()
constexpr chrono::duration< long double, milli > | operator""ms (long double __msecs)
template<char... _Digits>
constexpr chrono::nanoseconds | operator""ns ()
constexpr chrono::duration< long double, nano > | operator""ns (long double __nsecs)
template<char... _Digits>
constexpr chrono::seconds | operator""s ()
basic_string< char > | operator""s (const char *__str, size_t __len)
basic_string< char16_t > | operator""s (const char16_t *__str, size_t __len)
basic_string< char32_t > | operator""s (const char32_t *__str, size_t __len)
basic_string< wchar_t > | operator""s (const wchar_t *__str, size_t __len)
constexpr chrono::duration< long double > | operator""s (long double __secs)
constexpr basic_string_view< char > | operator""sv (const char *__str, size_t __len) noexcept
constexpr basic_string_view< char16_t > | operator""sv (const char16_t *__str, size_t __len) noexcept
constexpr basic_string_view< char32_t > | operator""sv (const char32_t *__str, size_t __len) noexcept
constexpr basic_string_view< wchar_t > | operator""sv (const wchar_t *__str, size_t __len) noexcept
template<char... _Digits>
constexpr chrono::microseconds | operator""us ()
constexpr chrono::duration< long double, micro > | operator""us (long double __usecs)

## Detailed Description

ISO C++ inline namespace for literal suffixes.

## Function Documentation

## operator""i() [1/2]

constexpr std::complex< double > std::literals::complex_literals::operator""i | ( | long double | __num | ) |

constexpr

Definition at line 1998 of file complex.

## operator""i() [2/2]

constexpr std::complex< double > std::literals::complex_literals::operator""i | ( | unsigned long long | __num | ) |

constexpr

Definition at line 2002 of file complex.

## operator""if() [1/2]

constexpr std::complex< float > std::literals::complex_literals::operator""if | ( | long double | __num | ) |

constexpr

Definition at line 1990 of file complex.

## operator""if() [2/2]

constexpr std::complex< float > std::literals::complex_literals::operator""if | ( | unsigned long long | __num | ) |

constexpr

Definition at line 1994 of file complex.

## operator""il() [1/2]

constexpr std::complex< long double > std::literals::complex_literals::operator""il | ( | long double | __num | ) |

constexpr

Definition at line 2006 of file complex.

## operator""il() [2/2]

constexpr std::complex< long double > std::literals::complex_literals::operator""il | ( | unsigned long long | __num | ) |

constexpr

Definition at line 2010 of file complex.

## operator""s() [1/4]

basic_string< char > std::literals::string_literals::operator""s | ( | const char * | __str,
|  | size_t | __len
| ) |  |

inline

Definition at line 6960 of file basic_string.h.

## operator""s() [2/4]

basic_string< char16_t > std::literals::string_literals::operator""s | ( | const char16_t * | __str,
|  | size_t | __len
| ) |  |

inline

Definition at line 6979 of file basic_string.h.

## operator""s() [3/4]

basic_string< char32_t > std::literals::string_literals::operator""s | ( | const char32_t * | __str,
|  | size_t | __len
| ) |  |

inline

Definition at line 6984 of file basic_string.h.

## operator""s() [4/4]

basic_string< wchar_t > std::literals::string_literals::operator""s | ( | const wchar_t * | __str,
|  | size_t | __len
| ) |  |

inline

Definition at line 6966 of file basic_string.h.

## operator""sv() [1/4]

constexpr basic_string_view< char > std::literals::string_view_literals::operator""sv | ( | const char * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 771 of file string_view.

## operator""sv() [2/4]

constexpr basic_string_view< char16_t > std::literals::string_view_literals::operator""sv | ( | const char16_t * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 787 of file string_view.

## operator""sv() [3/4]

constexpr basic_string_view< char32_t > std::literals::string_view_literals::operator""sv | ( | const char32_t * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 791 of file string_view.

## operator""sv() [4/4]

constexpr basic_string_view< wchar_t > std::literals::string_view_literals::operator""sv | ( | const wchar_t * | __str,
|  | size_t | __len
| ) |  |

inline constexpr noexcept

Definition at line 776 of file string_view.